{% extends "customers/base.html" %}
{% load i18n %}
{% load md2 %}
{% load active_tag %}
{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}Detalle de Proveedor{% endblock %}

{% block page %}
{%if can_show_detail %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item"><a href="{% url 'provider-list' %}">Proveedores</a></li>
  <li class="breadcrumb-item active">{{ object.rut }}</li>
</ol>
<!-- end breadcrumb -->



<!-- begin page-header -->
<h1 class="page-header">Proveedor <small>{{ object.name }}</small></h1>
<!-- end page-header -->

<ul class="nav nav-pills mb-2">
    <li class="nav-item">
      <a href="#"class="nav-link active">
        <span class="d-sm-none">General</span>
        <span class="d-sm-block d-none">General</span>
      </a>
	</li>
	<li class="nav-item {% add_active request 'provider-payment-methods' %}">
		<a href="{% url 'provider-payment-methods' object.pk %}" class="nav-link">
			<span class="d-sm-none">Métodos de pago</span>
			<span class="d-sm-block d-none">Métodos de pago</span>
		</a>
	</li>
		<li class="nav-item {% add_active request 'provider-statement' %}">
			<a href="{% url 'provider-statement' object.pk %}" class="nav-link">
				<span class="d-sm-none">Estado de Cuenta</span>
				<span class="d-sm-block d-none">Estado de Cuenta</span>
			</a>
		</li>
	</ul>



	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Información General</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
				<div class="row mb-3">
					<div class="col-sm-12 col-md-12">
					  <a class="btn btn-warning btn-sm pull-right ml-1" href="{% url 'provider-update' object.pk %}">Editar</a>
					</div>
				  </div>





      <table class="table">
	<tr>
	  <td><strong>RUT</strong></td><td>{{ object.rut }}</td>
	</tr>
	<tr>
	  <td><strong>Nombre</strong></td><td>{{ object.name }}</td>
	</tr>
	<tr>
	  <td><strong>Email</strong></td><td>{{ object.email }}</td>
	</tr>
	<tr>
	  <td><strong>Dirección</strong></td><td>{{ object.address }}</td>
	</tr>
	<tr>
	  <td><strong>Comuna</strong></td><td>{{ object.get_location_display }}</td>
	</tr>
	<tr>
	  <td><strong>Teléfono</strong></td><td>{{ object.phone }}</td>
	</tr>
	<tr>
		<td><strong>Operador</strong></td><td>{{ object.operator }}</td>
	  </tr>
	<tr>
		<tr>
			<td><strong>Moneda predeterminada</strong></td><td>{%if object.currency %} {{ object.currency }}{%else %} No tiene{%endif%}</td>
		  </tr>
		<tr>
	  <td><strong>Observaciones</strong></td><td>{{ object.notes|markdown }}</td>
	</tr>
      </table>





</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{%else%}
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
	<h4 class="alert-heading">No encontrado</h4>
	<hr>
	<h5 class="mb-0">Cambie de operador o vuelva al listado de Proveedores.</h5>
</div>
{%endif%}
{% endblock %}
